Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454050 - Fail to build kernel when enable CONFIG_ACPI_DEBUG in .config
Summary: Fail to build kernel when enable CONFIG_ACPI_DEBUG in .config
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.7
Hardware: i386
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Prarit Bhargava
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks: 461304
TreeView+ depends on / blocked
 
Reported: 2008-07-04 05:34 UTC by Song, Youquan
Modified: 2009-06-20 04:46 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-18 19:33:34 UTC
Target Upstream Version:


Attachments (Terms of Use)
Fix APCI_EXCEPTION and AE_INFO not defined (deleted)
2008-07-04 05:46 UTC, Song, Youquan
no flags Details | Diff
Fix processor.c has sentence without semicolon (deleted)
2008-07-04 05:52 UTC, Song, Youquan
no flags Details | Diff
RHEL4 fix for this issue (deleted)
2008-07-10 14:51 UTC, Prarit Bhargava
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1024 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 4.8 kernel security and bug fix update 2009-05-18 14:57:26 UTC

Description Song, Youquan 2008-07-04 05:34:57 UTC
Description of problem:
If I set CONFIG_ACPI_DEBUG=y in .config, there are two errors occur to stop 
the build process when build kernel-2.6.9-75.EL( kernel-2.6.9-
75.EL.src.rpm ).  

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. set CONFIG_ACPI_DEBUG=y
2. make all
3. there are two bug report to stop build process.
  CC      drivers/acpi/events/evrgnini.o
drivers/acpi/events/evrgnini.c: In function `acpi_ev_pci_config_region_setup':
drivers/acpi/events/evrgnini.c:243: warning: implicit declaration of function 
`ACPI_EXCEPTION'
drivers/acpi/events/evrgnini.c:243: error: `AE_INFO' undeclared (first use in 
this function)
drivers/acpi/events/evrgnini.c:243: error: (Each undeclared identifier is 
reported only once
drivers/acpi/events/evrgnini.c:243: error: for each function it appears in.)
drivers/acpi/events/evrgnini.c:246: warning: left-hand operand of comma 
expression has no effect
drivers/acpi/events/evrgnini.c:246: warning: left-hand operand of comma 
expression has no effect
drivers/acpi/events/evrgnini.c:246: warning: left-hand operand of comma 
expression has no effect
drivers/acpi/events/evrgnini.c:179: warning: unused variable `object_hID'
drivers/acpi/events/evrgnini.c: In function `acpi_ev_is_pci_root_bridge':
drivers/acpi/events/evrgnini.c:407: warning: implicit declaration of function 
`kfree'
make[3]: *** [drivers/acpi/events/evrgnini.o] Error 1
make[2]: *** [drivers/acpi/events] Error 2
make[1]: *** [drivers/acpi] Error 2
make: *** [drivers] Error 2

  CC      drivers/acpi/processor.o
drivers/acpi/processor.c: In function `acpi_processor_preregister_performance':
drivers/acpi/processor.c:1524: error: syntax error before '}' token
make[2]: *** [drivers/acpi/processor.o] Error 1
make[1]: *** [drivers/acpi] Error 2
make: *** [drivers] Error 2


  
Actual results:


Expected results:


Additional info:

Comment 1 Song, Youquan 2008-07-04 05:46:33 UTC
Created attachment 310998 [details]
Fix APCI_EXCEPTION and AE_INFO not defined

Comment 2 Song, Youquan 2008-07-04 05:52:21 UTC
Created attachment 311000 [details]
Fix processor.c has sentence without semicolon

Comment 3 Prarit Bhargava 2008-07-10 14:51:46 UTC
Created attachment 311484 [details]
RHEL4 fix for this issue

Comment 4 RHEL Product and Program Management 2008-07-10 15:22:55 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 5 RHEL Product and Program Management 2008-09-03 13:11:22 UTC
Updating PM score.

Comment 6 Vivek Goyal 2008-09-09 21:43:31 UTC
Committed in 78.8.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/

Comment 10 errata-xmlrpc 2009-05-18 19:33:34 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1024.html


Note You need to log in before you can comment on or make changes to this bug.